Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglets
Class MAFAgentSystem_AgletsImpl

    java.lang.Object
      |
      +--com.ibm.maf.MAFAgentSystem
            |
            +--com.ibm.aglets.MAFAgentSystem_AgletsImpl

public class MAFAgentSystem_AgletsImpl
extends MAFAgentSystem

Fields inherited from class com.ibm.maf.MAFAgentSystem
`option_defs`

Constructor Summary
`MAFAgentSystem_AgletsImpl(AgletRuntime runtime)`

Method Summary
`Name` | `create_agent(Name agent_name, AgentProfile agent_profile, byte[] agent, java.lang.String place_name, java.lang.Object[] arguments, ClassName[] class_names, java.lang.String code_base, MAFAgentSystem class_provider)`
`byte[][]` | `fetch_class(ClassName[] class_name_list, java.lang.String code_base, AgentProfile agent_profile)`
`java.lang.String` | `find_nearby_agent_system_of_profile(AgentProfile profile)`
`AgentStatus` | `get_agent_status(Name agent_name)`
`AgentSystemInfo` | `get_agent_system_info()`
`AuthInfo` | `get_authinfo(Name agent_name)`
`MAFFinder` | `get_MAFFinder()`
`java.lang.String` | `getAddress()`
`Name[]` | `list_all_agents_of_authority(byte[] authority)`
`Name[]` | `list_all_agents()`
`java.lang.String[]` | `list_all_places()`
`void` | `receive_agent(Name agent_name, AgentProfile agent_profile, byte[] agent, java.lang.String place_name, ClassName[] class_names, java.lang.String code_base, MAFAgentSystem sender)`
`long` | `receive_future_message(Name agent_name, byte[] raw_msg, MAFAgentSystem message_sender)`
`void` | `receive_future_reply(long return_id, byte[] reply)`
`byte[]` | `receive_message(Name agent_name, byte[] raw_msg)` Messaging
`void` | `receive_oneway_message(Name agent_name, byte[] raw_msg)`
`void` | `resume_agent(Name agent_name)`
`byte[]` | `retract_agent(Name agent_name)`
`void` | `setAddress(java.lang.String name)`
`void` | `suspend_agent(Name agent_name)`
`void` | `terminate_agent(Name agent_name)`

Methods inherited from class com.ibm.maf.MAFAgentSystem
`getLocalMAFAgentSystem, getMAFAgentSystem, getMAFAgentSystem, initMAFAgentSystem, startMAFAgentSystem`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MAFAgentSystem_AgletsImpl

    public MAFAgentSystem_AgletsImpl(AgletRuntime runtime)

Method Detail

### create_agent

    public Name create_agent(Name agent_name,
                             AgentProfile agent_profile,
                             byte[] agent,
                             java.lang.String place_name,
                             java.lang.Object[] arguments,
                             ClassName[] class_names,
                             java.lang.String code_base,
                             MAFAgentSystem class_provider)
                      throws ClassUnknown,
                             ArgumentInvalid,
                             DeserializationFailed,
                             MAFExtendedException

  Overrides:
    `create_agent` in class `MAFAgentSystem`

### fetch_class

    public byte[][] fetch_class(ClassName[] class_name_list,
                                java.lang.String code_base,
                                AgentProfile agent_profile)
                         throws ClassUnknown,
                                MAFExtendedException

  Overrides:
    `fetch_class` in class `MAFAgentSystem`

### find_nearby_agent_system_of_profile

    public java.lang.String find_nearby_agent_system_of_profile(AgentProfile profile)
                                                         throws EntryNotFound

  Overrides:
    `find_nearby_agent_system_of_profile` in class `MAFAgentSystem`

### get_agent_status

    public AgentStatus get_agent_status(Name agent_name)
                                 throws AgentNotFound

  Overrides:
    `get_agent_status` in class `MAFAgentSystem`

### get_agent_system_info

    public AgentSystemInfo get_agent_system_info()

  Overrides:
    `get_agent_system_info` in class `MAFAgentSystem`

### get_authinfo

    public AuthInfo get_authinfo(Name agent_name)
                          throws AgentNotFound

  Overrides:
    `get_authinfo` in class `MAFAgentSystem`

### get_MAFFinder

    public MAFFinder get_MAFFinder()
                            throws FinderNotFound

  Overrides:
    `get_MAFFinder` in class `MAFAgentSystem`

### getAddress

    public java.lang.String getAddress()

  Overrides:
    `getAddress` in class `MAFAgentSystem`

### list_all_agents

    public Name[] list_all_agents()

  Overrides:
    `list_all_agents` in class `MAFAgentSystem`

### list_all_agents_of_authority

    public Name[] list_all_agents_of_authority(byte[] authority)

  Overrides:
    `list_all_agents_of_authority` in class `MAFAgentSystem`

### list_all_places

    public java.lang.String[] list_all_places()

  Overrides:
    `list_all_places` in class `MAFAgentSystem`

### receive_agent

    public void receive_agent(Name agent_name,
                              AgentProfile agent_profile,
                              byte[] agent,
                              java.lang.String place_name,
                              ClassName[] class_names,
                              java.lang.String code_base,
                              MAFAgentSystem sender)
                       throws ClassUnknown,
                              DeserializationFailed,
                              MAFExtendedException

  Overrides:
    `receive_agent` in class `MAFAgentSystem`

### receive_future_message

    public long receive_future_message(Name agent_name,
                                       byte[] raw_msg,
                                       MAFAgentSystem message_sender)
                                throws AgentNotFound,
                                       ClassUnknown,
                                       DeserializationFailed,
                                       MAFExtendedException

  Overrides:
    `receive_future_message` in class `MAFAgentSystem`

### receive_future_reply

    public void receive_future_reply(long return_id,
                                     byte[] reply)
                              throws EntryNotFound,
                                     ClassUnknown,
                                     DeserializationFailed,
                                     MAFExtendedException

  Overrides:
    `receive_future_reply` in class `MAFAgentSystem`

### receive_message

    public byte[] receive_message(Name agent_name,
                                  byte[] raw_msg)
                           throws AgentNotFound,
                                  NotHandled,
                                  MessageEx,
                                  ClassUnknown,
                                  DeserializationFailed,
                                  MAFExtendedException

  Messaging
  Overrides:
    `receive_message` in class `MAFAgentSystem`

### receive_oneway_message

    public void receive_oneway_message(Name agent_name,
                                       byte[] raw_msg)
                                throws AgentNotFound,
                                       ClassUnknown,
                                       DeserializationFailed,
                                       MAFExtendedException

  Overrides:
    `receive_oneway_message` in class `MAFAgentSystem`

### resume_agent

    public void resume_agent(Name agent_name)
                      throws AgentNotFound,
                             ResumeFailed,
                             AgentIsRunning

  Overrides:
    `resume_agent` in class `MAFAgentSystem`

### retract_agent

    public byte[] retract_agent(Name agent_name)
                         throws AgentNotFound,
                                MAFExtendedException

  Overrides:
    `retract_agent` in class `MAFAgentSystem`

### setAddress

    public void setAddress(java.lang.String name)

  Overrides:
    `setAddress` in class `MAFAgentSystem`

### suspend_agent

    public void suspend_agent(Name agent_name)
                       throws AgentNotFound,
                              SuspendFailed,
                              AgentIsSuspended

  Overrides:
    `suspend_agent` in class `MAFAgentSystem`

### terminate_agent

    public void terminate_agent(Name agent_name)
                         throws AgentNotFound,
                                TerminateFailed

  Overrides:
    `terminate_agent` in class `MAFAgentSystem`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD